%define  date 20210910

%define tomoyo_major   3
%define tomoyo_libname %mklibname tomoyotools %{tomoyo_major}

Summary:        TOMOYO Linux tools
Name:           tomoyo-tools
Version:        2.6.1
Release:        %mkrel 0.%{date}.2
License:        GPLv2
Group:          System/Kernel and hardware
URL:            https://tomoyo.osdn.jp/
Source0:        https://jaist.dl.osdn.jp/tomoyo/70710/tomoyo-tools-%{version}-%{date}.tar.gz
Source1:        README.tomoyo-tools.urpmi
Source2:        tomoyo.logrotate
Source3:        tomoyo-auditd.service

BuildRequires:  help2man
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(readline)

%description
TOMOYO Linux is an extension for Linux to provide Mandatory Access Control
(MAC) functions. This package contains the tools needed to configure,
activate and manage the TOMOYO Linux MAC system and policies.

%package -n %{tomoyo_libname}
Summary:        Shared tomoyotools library
Group:          System/Libraries

%description -n %{tomoyo_libname}
This package provides the tomoyo shared library.

%prep
%setup -q -n tomoyo-tools

%build
# install library to correct path
sed -i 's:/usr/lib:%{_libdir}:g' Include.make

%set_build_flags
# parallell build is broken / tmb 14.10.2010
make -s all CFLAGS="$CFLAGS" CXXFLAG="$CXXFLAGS" LDFLAGS="$LDFLAGS"

%install
%make_install INSTALLDIR=%{buildroot}

install -m 644 %{SOURCE1} README.install.urpmi

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/tomoyo
mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/tomoyo-auditd.service
mkdir -p %{buildroot}%{_logdir}/tomoyo

%post
%_post_service tomoyo-auditd

%preun
%_preun_service tomoyo-auditd

%files
%{_sysconfdir}/logrotate.d/tomoyo
%{_unitdir}/tomoyo-auditd.service
%attr(700,root,root) /sbin/tomoyo-init
%{_libdir}/tomoyo/
%{_sbindir}/tomoyo*
%{_mandir}/man8/tomoyo*
%{_logdir}/tomoyo/
%doc README.install.urpmi
%doc README.tomoyo
%license COPYING.tomoyo

%files -n %{tomoyo_libname}
%{_libdir}/libtomoyotools.so.%{tomoyo_major}{,.*}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.6.1-0.20210910.2.mga10
+ Revision: 2222428
- Mageia 10 Mass Rebuild

* Fri May 03 2024 daviddavid <daviddavid> 2.6.1-0.20210910.1.mga10
+ Revision: 2061973
- new version: 2.6.1-20210910
- switch to systemd unit from initscripts

* Fri Mar 18 2022 umeabot <umeabot> 2.5.0-11.mga9
+ Revision: 1797721
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.5.0-10.mga8
+ Revision: 1517440
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-9.mga7
+ Revision: 1301436
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 2.5.0-8.mga7
+ Revision: 1157005
- fix debug packages

* Tue Feb 02 2016 umeabot <umeabot> 2.5.0-7.mga6
+ Revision: 932769
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-6.mga5
+ Revision: 749292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-5.mga5
+ Revision: 689918
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.0-4.mga4
+ Revision: 519658
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 384654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 10 2012 tmb <tmb> 2.5.0-2.mga2
+ Revision: 235042
- fix daemon name (#5815)

* Mon Mar 05 2012 tmb <tmb> 2.5.0-1.mga2
+ Revision: 219184
- fix libdir
- libmajor is now 3
- drop P0 (obsolete)
- update to 2.5.0-20110929

* Wed Mar 23 2011 ennael <ennael> 2.3.0-2.mga1
+ Revision: 75865
- clean spec file
- imported package tomoyo-tools


* Wed Jan 12 2011 Eugeni Dodonov <eugeni@mandriva.com> 2.3.0-2mdv2011.0
+ Revision: 630971
- Switch from manbo_mkrel to mkrel
- Libify libtomoyotools.

* Thu Oct 14 2010 Thomas Backlund <tmb@mandriva.org> 2.3.0-1mnb2
+ Revision: 585706
- update to 2.3.0
- update P0
- add BuildRequires: help2man
- disable parallel build
- update filelists
- update README.urpmi

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Imported tomoyo-tools with base on our ccs-tools package.
    - Created package structure for tomoyo-tools.

